/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ab0pr2_cv5.citac;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingUtilities;

/**
 * nejprve bez konstruktoru - spustit, pak vypnout krizkem - zustane bezet, pak nastavit uzaviraci akci v konstruktoru
 *
 * @author hapallen
 */
public class Okno extends JFrame implements ActionListener {

    Citac citac;

    public Okno() {
        //nutne, aby se pri vypnuti okna vypla i aplikace
        this.setDefaultCloseOperation(EXIT_ON_CLOSE);
        //nastaveni velkosti
        this.setSize(new Dimension(300, 300));
        citac = new Citac();
        createGui();
        pack();
    }

    public void createGui() {
        popisekLabel = new JLabel("");
        popisekLabel.setFont(new java.awt.Font("Calibri", 1, 36));
        popisekLabel.setText(citac.toString());
        incButton = new JButton("Klikni!");
        //umisteni komponent do okna (konteineru okna)
        Container container = getContentPane();
        container.add(incButton, BorderLayout.EAST);
        container.add(popisekLabel, BorderLayout.WEST);
        incButton.addActionListener(new PosluchacTlacitkaKlikni(citac, popisekLabel));
        incButton.addMouseListener(new PosluchacTlacitkaKlikni(citac, popisekLabel));
       // incButton.addActionListener(new InterniPosluchacTlacitkaKlikni());

        //anonymni trida
       /* incButton.addActionListener(new ActionListener() {

            public void actionPerformed(ActionEvent e) {
                citac.inkrementuj();
                popisekLabel.setText(citac.toString());
            }
        });
*/
        //incButton.addActionListener(this);



    }

    public void actionPerformed(ActionEvent e) {
        citac.inkrementuj();
        popisekLabel.setText(citac.toString());
    }

    public void aktualizuj() {
        popisekLabel.setText(citac.toString());
    }

    public static void main(String[] args) {
       SwingUtilities.invokeLater(new Runnable() {

            public void run() {
                new Okno().setVisible(true);
            }
        });
    }

    /**
     *
     */
    class InterniPosluchacTlacitkaKlikni implements ActionListener {
        //nemusim predavat reference - vnitrni trida vidi promenne vnejsi tridy

        public void actionPerformed(ActionEvent e) {
            citac.inkrementuj();
            popisekLabel.setText(citac.toString());
        }
    }
    private JLabel popisekLabel;
    private JButton incButton;
}
